<?php



/**
 * Remove WPB Elements
 */

function om_wpb_remove_elements() { 
	vc_remove_element('vc_posts_slider');
	vc_remove_element('vc_cta_button');
}
add_action( 'init', 'om_wpb_remove_elements' );
 
/**
 * Sort WPB Elements
 */

function om_wpb_sort_elements() {
	$elements = array (
		'vc_row',
		'vc_column_text',
		'vc_separator',
		'vc_text_separator',
		'om_icon_separator',
		'vc_message',
		'vc_facebook',
		'vc_tweetmeme',
		'vc_googleplus',
		'vc_pinterest',
		'vc_toggle',
		'vc_single_image',
		'vc_gallery',
		'vc_images_carousel',
		'vc_tabs',
		'vc_tta_tabs',
		'vc_tour',
		'vc_tta_pageable',
		'vc_tta_tour',
		'vc_accordion',
		'vc_tta_accordion',
		'vc_btn',
		'vc_cta',
		'vc_icon',
		'vc_video',
		'vc_gmaps',
		'vc_raw_html',
		'vc_raw_js',
		'vc_flickr',
		'vc_progress_bar',
		'vc_pie',
		'vc_empty_space',
		'vc_custom_heading',
		
		'om_box',
		'om_counter',
		'om_a_button',
		'om_pricing_table',
		'om_pricing_table_column',
		'om_html_table',
		'om_posts',
		'om_testimonials',
		'om_portfolio',
		'om_logos',
		'om_chart',
		'om_person',
		'om_click_box',
		'om_moving_box',
		'om_click_icon_box',
		'om_click_icon_box2',
		'om_teaser',
	);
	
	$elements=array_reverse($elements);
	$w=10;
	foreach($elements as $v) {
		if(WPBMap::exists($v)) {
			vc_map_update($v, array( 'weight' => $w ));
			$w+=10;
		}
	}
}

add_action( 'init', 'om_wpb_sort_elements' );

/**
 * Widget Titles
 */
 

function om_wpb_widget_title( $title, $params = array( 'title' => '' ) ) {
	if ( $params['title'] == '' ) return;

	$extraclass = ( isset( $params['extraclass'] ) ) ? " " . $params['extraclass'] : "";
	$output = '<div class="wpb_heading' . $extraclass . '">' . $params['title'] . '</div>';

	return $output;
}
add_filter('wpb_widget_title', 'om_wpb_widget_title', 10, 2);



/*
add_filter('vc_shortcodes_css_class', 'om_wpb_vc_shortcodes_css_class', 10, 3);

function om_wpb_vc_shortcodes_css_class($class, $tag, $atts) {

	switch($tag) {
		
		case 'vc_text_separator':

			if(isset($atts['border_w']) && $atts['border_w']) {
				$class.=' border-w-'.esc_attr($atts['border_w']);
			}
		
		break;
		
	}
	
	return $class;
	
}
*/

/*
remove_filter( 'vc_iconpicker-type-fontawesome', 'vc_iconpicker_type_fontawesome' );
add_filter( 'vc_iconpicker-type-fontawesome', 'om_vc_iconpicker_type_fontawesome' );

function om_vc_iconpicker_type_fontawesome( $icons ) {
	// Categorized icons ( you can also output simple array ( key=> value ), where key = icon class, value = icon readable name ).
	$fontawesome_icons = array(
		'Web Application Icons' => array(
			array( 'fa fa-adjust' => 'adjust' ),
			array( 'fa fa-anchor' => 'Anchor' ),
			array( 'fa fa-archive' => 'Archive' ),
			array( 'fa fa-area-chart' => 'Area Chart' ),
			array( 'fa fa-arrows' => 'Arrows' ),
			array( 'fa fa-arrows-h' => 'Arrows Horizontal' ),
			array( 'fa fa-arrows-v' => 'Arrows Vertical' ),
			array( 'fa fa-asterisk' => 'asterisk' ),
			array( 'fa fa-at' => 'At' ),
			array( 'fa fa-balance-scale' => 'Balance Scale' ),
			array( 'fa fa-ban' => 'ban' ),
			array( 'fa fa-bar-chart' => 'Bar Chart' ),
			array( 'fa fa-barcode' => 'barcode' ),
			array( 'fa fa-bars' => 'Bars' ),
			array( 'fa fa-battery-empty' => 'Battery Empty' ),
			array( 'fa fa-battery-full' => 'Battery Full' ),
			array( 'fa fa-battery-half' => 'Battery 1/2 Full' ),
			array( 'fa fa-battery-quarter' => 'Battery 1/4 Full' ),
			array( 'fa fa-battery-three-quarters' => 'Battery 3/4 Full' ),
			array( 'fa fa-bed' => 'Bed' ),
			array( 'fa fa-beer' => 'beer' ),
			array( 'fa fa-bell' => 'bell' ),
			array( 'fa fa-bell-o' => 'Bell Outlined' ),
			array( 'fa fa-bell-slash' => 'Bell Slash' ),
			array( 'fa fa-bell-slash-o' => 'Bell Slash Outlined' ),
			array( 'fa fa-bicycle' => 'Bicycle' ),
			array( 'fa fa-binoculars' => 'Binoculars' ),
			array( 'fa fa-birthday-cake' => 'Birthday Cake' ),
			array( 'fa fa-bluetooth' => 'Bluetooth' ),
			array( 'fa fa-bluetooth-b' => 'Bluetooth' ),
			array( 'fa fa-bolt' => 'Lightning Bolt' ),
			array( 'fa fa-bomb' => 'Bomb' ),
			array( 'fa fa-book' => 'book' ),
			array( 'fa fa-bookmark' => 'bookmark' ),
			array( 'fa fa-bookmark-o' => 'Bookmark Outlined' ),
			array( 'fa fa-briefcase' => 'Briefcase' ),
			array( 'fa fa-bug' => 'Bug' ),
			array( 'fa fa-building' => 'Building' ),
			array( 'fa fa-building-o' => 'Building Outlined' ),
			array( 'fa fa-bullhorn' => 'bullhorn' ),
			array( 'fa fa-bullseye' => 'Bullseye' ),
			array( 'fa fa-bus' => 'Bus' ),
			array( 'fa fa-calculator' => 'Calculator' ),
			array( 'fa fa-calendar' => 'calendar' ),
			array( 'fa fa-calendar-check-o' => 'Calendar Check Outlined' ),
			array( 'fa fa-calendar-minus-o' => 'Calendar Minus Outlined' ),
			array( 'fa fa-calendar-o' => 'calendar-o' ),
			array( 'fa fa-calendar-plus-o' => 'Calendar Plus Outlined' ),
			array( 'fa fa-calendar-times-o' => 'Calendar Times Outlined' ),
			array( 'fa fa-camera' => 'camera' ),
			array( 'fa fa-camera-retro' => 'camera-retro' ),
			array( 'fa fa-car' => 'Car' ),
			array( 'fa fa-caret-square-o-down' => 'Caret Square Outlined Down' ),
			array( 'fa fa-caret-square-o-left' => 'Caret Square Outlined Left' ),
			array( 'fa fa-caret-square-o-right' => 'Caret Square Outlined Right' ),
			array( 'fa fa-caret-square-o-up' => 'Caret Square Outlined Up' ),
			array( 'fa fa-cart-arrow-down' => 'Shopping Cart Arrow Down' ),
			array( 'fa fa-cart-plus' => 'Add to Shopping Cart' ),
			array( 'fa fa-cc' => 'Closed Captions' ),
			array( 'fa fa-certificate' => 'certificate' ),
			array( 'fa fa-check' => 'Check' ),
			array( 'fa fa-check-circle' => 'Check Circle' ),
			array( 'fa fa-check-circle-o' => 'Check Circle Outlined' ),
			array( 'fa fa-check-square' => 'Check Square' ),
			array( 'fa fa-check-square-o' => 'Check Square Outlined' ),
			array( 'fa fa-child' => 'Child' ),
			array( 'fa fa-circle' => 'Circle' ),
			array( 'fa fa-circle-o' => 'Circle Outlined' ),
			array( 'fa fa-circle-o-notch' => 'Circle Outlined Notched' ),
			array( 'fa fa-circle-thin' => 'Circle Outlined Thin' ),
			array( 'fa fa-clock-o' => 'Clock Outlined' ),
			array( 'fa fa-clone' => 'Clone' ),
			array( 'fa fa-cloud' => 'Cloud' ),
			array( 'fa fa-cloud-download' => 'Cloud Download' ),
			array( 'fa fa-cloud-upload' => 'Cloud Upload' ),
			array( 'fa fa-code' => 'Code' ),
			array( 'fa fa-code-fork' => 'code-fork' ),
			array( 'fa fa-coffee' => 'Coffee' ),
			array( 'fa fa-cog' => 'cog' ),
			array( 'fa fa-cogs' => 'cogs' ),
			array( 'fa fa-comment' => 'comment' ),
			array( 'fa fa-comment-o' => 'comment-o' ),
			array( 'fa fa-commenting' => 'Commenting' ),
			array( 'fa fa-commenting-o' => 'Commenting Outlined' ),
			array( 'fa fa-comments' => 'comments' ),
			array( 'fa fa-comments-o' => 'comments-o' ),
			array( 'fa fa-compass' => 'Compass' ),
			array( 'fa fa-copyright' => 'Copyright' ),
			array( 'fa fa-creative-commons' => 'Creative Commons' ),
			array( 'fa fa-credit-card' => 'credit-card' ),
			array( 'fa fa-credit-card-alt' => 'Credit Card' ),
			array( 'fa fa-crop' => 'crop' ),
			array( 'fa fa-crosshairs' => 'Crosshairs' ),
			array( 'fa fa-cube' => 'Cube' ),
			array( 'fa fa-cubes' => 'Cubes' ),
			array( 'fa fa-cutlery' => 'Cutlery' ),
			array( 'fa fa-database' => 'Database' ),
			array( 'fa fa-desktop' => 'Desktop' ),
			array( 'fa fa-diamond' => 'Diamond' ),
			array( 'fa fa-dot-circle-o' => 'Dot Circle Outlined' ),
			array( 'fa fa-download' => 'Download' ),
			array( 'fa fa-ellipsis-h' => 'Ellipsis Horizontal' ),
			array( 'fa fa-ellipsis-v' => 'Ellipsis Vertical' ),
			array( 'fa fa-envelope' => 'Envelope' ),
			array( 'fa fa-envelope-o' => 'Envelope Outlined' ),
			array( 'fa fa-envelope-square' => 'Envelope Square' ),
			array( 'fa fa-eraser' => 'eraser' ),
			array( 'fa fa-exchange' => 'Exchange' ),
			array( 'fa fa-exclamation' => 'exclamation' ),
			array( 'fa fa-exclamation-circle' => 'Exclamation Circle' ),
			array( 'fa fa-exclamation-triangle' => 'Exclamation Triangle' ),
			array( 'fa fa-external-link' => 'External Link' ),
			array( 'fa fa-external-link-square' => 'External Link Square' ),
			array( 'fa fa-eye' => 'Eye' ),
			array( 'fa fa-eye-slash' => 'Eye Slash' ),
			array( 'fa fa-eyedropper' => 'Eyedropper' ),
			array( 'fa fa-fax' => 'Fax' ),
			array( 'fa fa-female' => 'Female' ),
			array( 'fa fa-fighter-jet' => 'fighter-jet' ),
			array( 'fa fa-file-archive-o' => 'Archive File Outlined' ),
			array( 'fa fa-file-audio-o' => 'Audio File Outlined' ),
			array( 'fa fa-file-code-o' => 'Code File Outlined' ),
			array( 'fa fa-file-excel-o' => 'Excel File Outlined' ),
			array( 'fa fa-file-image-o' => 'Image File Outlined' ),
			array( 'fa fa-file-pdf-o' => 'PDF File Outlined' ),
			array( 'fa fa-file-powerpoint-o' => 'Powerpoint File Outlined' ),
			array( 'fa fa-file-video-o' => 'Video File Outlined' ),
			array( 'fa fa-file-word-o' => 'Word File Outlined' ),
			array( 'fa fa-film' => 'Film' ),
			array( 'fa fa-filter' => 'Filter' ),
			array( 'fa fa-fire' => 'fire' ),
			array( 'fa fa-fire-extinguisher' => 'fire-extinguisher' ),
			array( 'fa fa-flag' => 'flag' ),
			array( 'fa fa-flag-checkered' => 'flag-checkered' ),
			array( 'fa fa-flag-o' => 'Flag Outlined' ),
			array( 'fa fa-flask' => 'Flask' ),
			array( 'fa fa-folder' => 'Folder' ),
			array( 'fa fa-folder-o' => 'Folder Outlined' ),
			array( 'fa fa-folder-open' => 'Folder Open' ),
			array( 'fa fa-folder-open-o' => 'Folder Open Outlined' ),
			array( 'fa fa-frown-o' => 'Frown Outlined' ),
			array( 'fa fa-futbol-o' => 'Futbol Outlined' ),
			array( 'fa fa-gamepad' => 'Gamepad' ),
			array( 'fa fa-gavel' => 'Gavel' ),
			array( 'fa fa-gift' => 'gift' ),
			array( 'fa fa-glass' => 'Glass' ),
			array( 'fa fa-globe' => 'Globe' ),
			array( 'fa fa-graduation-cap' => 'Graduation Cap' ),
			array( 'fa fa-hand-lizard-o' => 'Lizard (Hand)' ),
			array( 'fa fa-hand-paper-o' => 'Paper (Hand)' ),
			array( 'fa fa-hand-peace-o' => 'Hand Peace' ),
			array( 'fa fa-hand-pointer-o' => 'Hand Pointer' ),
			array( 'fa fa-hand-rock-o' => 'Rock (Hand)' ),
			array( 'fa fa-hand-scissors-o' => 'Scissors (Hand)' ),
			array( 'fa fa-hand-spock-o' => 'Spock (Hand)' ),
			array( 'fa fa-hashtag' => 'Hashtag' ),
			array( 'fa fa-hdd-o' => 'HDD' ),
			array( 'fa fa-headphones' => 'headphones' ),
			array( 'fa fa-heart' => 'Heart' ),
			array( 'fa fa-heart-o' => 'Heart Outlined' ),
			array( 'fa fa-heartbeat' => 'Heartbeat' ),
			array( 'fa fa-history' => 'History' ),
			array( 'fa fa-home' => 'home' ),
			array( 'fa fa-hourglass' => 'Hourglass' ),
			array( 'fa fa-hourglass-end' => 'Hourglass End' ),
			array( 'fa fa-hourglass-half' => 'Hourglass Half' ),
			array( 'fa fa-hourglass-o' => 'Hourglass Outlined' ),
			array( 'fa fa-hourglass-start' => 'Hourglass Start' ),
			array( 'fa fa-i-cursor' => 'I Beam Cursor' ),
			array( 'fa fa-inbox' => 'inbox' ),
			array( 'fa fa-industry' => 'Industry' ),
			array( 'fa fa-info' => 'Info' ),
			array( 'fa fa-info-circle' => 'Info Circle' ),
			array( 'fa fa-key' => 'key' ),
			array( 'fa fa-keyboard-o' => 'Keyboard Outlined' ),
			array( 'fa fa-language' => 'Language' ),
			array( 'fa fa-laptop' => 'Laptop' ),
			array( 'fa fa-leaf' => 'leaf' ),
			array( 'fa fa-lemon-o' => 'Lemon Outlined' ),
			array( 'fa fa-level-down' => 'Level Down' ),
			array( 'fa fa-level-up' => 'Level Up' ),
			array( 'fa fa-life-ring' => 'Life Ring' ),
			array( 'fa fa-lightbulb-o' => 'Lightbulb Outlined' ),
			array( 'fa fa-line-chart' => 'Line Chart' ),
			array( 'fa fa-location-arrow' => 'location-arrow' ),
			array( 'fa fa-lock' => 'lock' ),
			array( 'fa fa-magic' => 'magic' ),
			array( 'fa fa-magnet' => 'magnet' ),
			array( 'fa fa-male' => 'Male' ),
			array( 'fa fa-map' => 'Map' ),
			array( 'fa fa-map-marker' => 'map-marker' ),
			array( 'fa fa-map-o' => 'Map Outline' ),
			array( 'fa fa-map-pin' => 'Map Pin' ),
			array( 'fa fa-map-signs' => 'Map Signs' ),
			array( 'fa fa-meh-o' => 'Meh Outlined' ),
			array( 'fa fa-microphone' => 'microphone' ),
			array( 'fa fa-microphone-slash' => 'Microphone Slash' ),
			array( 'fa fa-minus' => 'minus' ),
			array( 'fa fa-minus-circle' => 'Minus Circle' ),
			array( 'fa fa-minus-square' => 'Minus Square' ),
			array( 'fa fa-minus-square-o' => 'Minus Square Outlined' ),
			array( 'fa fa-mobile' => 'Mobile Phone' ),
			array( 'fa fa-money' => 'Money' ),
			array( 'fa fa-moon-o' => 'Moon Outlined' ),
			array( 'fa fa-motorcycle' => 'Motorcycle' ),
			array( 'fa fa-mouse-pointer' => 'Mouse Pointer' ),
			array( 'fa fa-music' => 'Music' ),
			array( 'fa fa-newspaper-o' => 'Newspaper Outlined' ),
			array( 'fa fa-object-group' => 'Object Group' ),
			array( 'fa fa-object-ungroup' => 'Object Ungroup' ),
			array( 'fa fa-paint-brush' => 'Paint Brush' ),
			array( 'fa fa-paper-plane' => 'Paper Plane' ),
			array( 'fa fa-paper-plane-o' => 'Paper Plane Outlined' ),
			array( 'fa fa-paw' => 'Paw' ),
			array( 'fa fa-pencil' => 'pencil' ),
			array( 'fa fa-pencil-square' => 'Pencil Square' ),
			array( 'fa fa-pencil-square-o' => 'Pencil Square Outlined' ),
			array( 'fa fa-percent' => 'Percent' ),
			array( 'fa fa-phone' => 'Phone' ),
			array( 'fa fa-phone-square' => 'Phone Square' ),
			array( 'fa fa-picture-o' => 'Picture Outlined' ),
			array( 'fa fa-pie-chart' => 'Pie Chart' ),
			array( 'fa fa-plane' => 'plane' ),
			array( 'fa fa-plug' => 'Plug' ),
			array( 'fa fa-plus' => 'plus' ),
			array( 'fa fa-plus-circle' => 'Plus Circle' ),
			array( 'fa fa-plus-square' => 'Plus Square' ),
			array( 'fa fa-plus-square-o' => 'Plus Square Outlined' ),
			array( 'fa fa-power-off' => 'Power Off' ),
			array( 'fa fa-print' => 'print' ),
			array( 'fa fa-puzzle-piece' => 'Puzzle Piece' ),
			array( 'fa fa-qrcode' => 'qrcode' ),
			array( 'fa fa-question' => 'Question' ),
			array( 'fa fa-question-circle' => 'Question Circle' ),
			array( 'fa fa-quote-left' => 'quote-left' ),
			array( 'fa fa-quote-right' => 'quote-right' ),
			array( 'fa fa-random' => 'random' ),
			array( 'fa fa-recycle' => 'Recycle' ),
			array( 'fa fa-refresh' => 'refresh' ),
			array( 'fa fa-registered' => 'Registered Trademark' ),
			array( 'fa fa-reply' => 'Reply' ),
			array( 'fa fa-reply-all' => 'reply-all' ),
			array( 'fa fa-retweet' => 'retweet' ),
			array( 'fa fa-road' => 'road' ),
			array( 'fa fa-rocket' => 'rocket' ),
			array( 'fa fa-rss' => 'rss' ),
			array( 'fa fa-rss-square' => 'RSS Square' ),
			array( 'fa fa-search' => 'Search' ),
			array( 'fa fa-search-minus' => 'Search Minus' ),
			array( 'fa fa-search-plus' => 'Search Plus' ),
			array( 'fa fa-server' => 'Server' ),
			array( 'fa fa-share' => 'Share' ),
			array( 'fa fa-share-alt' => 'Share Alt' ),
			array( 'fa fa-share-alt-square' => 'Share Alt Square' ),
			array( 'fa fa-share-square' => 'Share Square' ),
			array( 'fa fa-share-square-o' => 'Share Square Outlined' ),
			array( 'fa fa-shield' => 'shield' ),
			array( 'fa fa-ship' => 'Ship' ),
			array( 'fa fa-shopping-bag' => 'Shopping Bag' ),
			array( 'fa fa-shopping-basket' => 'Shopping Basket' ),
			array( 'fa fa-shopping-cart' => 'shopping-cart' ),
			array( 'fa fa-sign-in' => 'Sign In' ),
			array( 'fa fa-sign-out' => 'Sign Out' ),
			array( 'fa fa-signal' => 'signal' ),
			array( 'fa fa-sitemap' => 'Sitemap' ),
			array( 'fa fa-sliders' => 'Sliders' ),
			array( 'fa fa-smile-o' => 'Smile Outlined' ),
			array( 'fa fa-sort' => 'Sort' ),
			array( 'fa fa-sort-alpha-asc' => 'Sort Alpha Ascending' ),
			array( 'fa fa-sort-alpha-desc' => 'Sort Alpha Descending' ),
			array( 'fa fa-sort-amount-asc' => 'Sort Amount Ascending' ),
			array( 'fa fa-sort-amount-desc' => 'Sort Amount Descending' ),
			array( 'fa fa-sort-asc' => 'Sort Ascending' ),
			array( 'fa fa-sort-desc' => 'Sort Descending' ),
			array( 'fa fa-sort-numeric-asc' => 'Sort Numeric Ascending' ),
			array( 'fa fa-sort-numeric-desc' => 'Sort Numeric Descending' ),
			array( 'fa fa-space-shuttle' => 'Space Shuttle' ),
			array( 'fa fa-spinner' => 'Spinner' ),
			array( 'fa fa-spoon' => 'spoon' ),
			array( 'fa fa-square' => 'Square' ),
			array( 'fa fa-square-o' => 'Square Outlined' ),
			array( 'fa fa-star' => 'Star' ),
			array( 'fa fa-star-half' => 'star-half' ),
			array( 'fa fa-star-half-o' => 'Star Half Outlined' ),
			array( 'fa fa-star-o' => 'Star Outlined' ),
			array( 'fa fa-sticky-note' => 'Sticky Note' ),
			array( 'fa fa-sticky-note-o' => 'Sticky Note Outlined' ),
			array( 'fa fa-street-view' => 'Street View' ),
			array( 'fa fa-suitcase' => 'Suitcase' ),
			array( 'fa fa-sun-o' => 'Sun Outlined' ),
			array( 'fa fa-tablet' => 'tablet' ),
			array( 'fa fa-tachometer' => 'Tachometer' ),
			array( 'fa fa-tag' => 'tag' ),
			array( 'fa fa-tags' => 'tags' ),
			array( 'fa fa-tasks' => 'Tasks' ),
			array( 'fa fa-taxi' => 'Taxi' ),
			array( 'fa fa-television' => 'Television' ),
			array( 'fa fa-terminal' => 'Terminal' ),
			array( 'fa fa-thumb-tack' => 'Thumb Tack' ),
			array( 'fa fa-thumbs-down' => 'thumbs-down' ),
			array( 'fa fa-thumbs-o-down' => 'Thumbs Down Outlined' ),
			array( 'fa fa-thumbs-o-up' => 'Thumbs Up Outlined' ),
			array( 'fa fa-thumbs-up' => 'thumbs-up' ),
			array( 'fa fa-ticket' => 'Ticket' ),
			array( 'fa fa-times' => 'Times' ),
			array( 'fa fa-times-circle' => 'Times Circle' ),
			array( 'fa fa-times-circle-o' => 'Times Circle Outlined' ),
			array( 'fa fa-tint' => 'tint' ),
			array( 'fa fa-toggle-off' => 'Toggle Off' ),
			array( 'fa fa-toggle-on' => 'Toggle On' ),
			array( 'fa fa-trademark' => 'Trademark' ),
			array( 'fa fa-trash' => 'Trash' ),
			array( 'fa fa-trash-o' => 'Trash Outlined' ),
			array( 'fa fa-tree' => 'Tree' ),
			array( 'fa fa-trophy' => 'trophy' ),
			array( 'fa fa-truck' => 'truck' ),
			array( 'fa fa-tty' => 'TTY' ),
			array( 'fa fa-umbrella' => 'Umbrella' ),
			array( 'fa fa-university' => 'University' ),
			array( 'fa fa-unlock' => 'unlock' ),
			array( 'fa fa-unlock-alt' => 'Unlock Alt' ),
			array( 'fa fa-upload' => 'Upload' ),
			array( 'fa fa-user' => 'User' ),
			array( 'fa fa-user-plus' => 'Add User' ),
			array( 'fa fa-user-secret' => 'User Secret' ),
			array( 'fa fa-user-times' => 'Remove User' ),
			array( 'fa fa-users' => 'Users' ),
			array( 'fa fa-video-camera' => 'Video Camera' ),
			array( 'fa fa-volume-down' => 'volume-down' ),
			array( 'fa fa-volume-off' => 'volume-off' ),
			array( 'fa fa-volume-up' => 'volume-up' ),
			array( 'fa fa-wheelchair' => 'Wheelchair' ),
			array( 'fa fa-wifi' => 'WiFi' ),
			array( 'fa fa-wrench' => 'Wrench' ),
		),
		'Medical Icons' => array(
			array( 'fa fa-ambulance' => 'ambulance' ),
			array( 'fa fa-h-square' => 'H Square' ),
			array( 'fa fa-heart' => 'Heart' ),
			array( 'fa fa-heart-o' => 'Heart Outlined' ),
			array( 'fa fa-heartbeat' => 'Heartbeat' ),
			array( 'fa fa-hospital-o' => 'hospital Outlined' ),
			array( 'fa fa-medkit' => 'medkit' ),
			array( 'fa fa-plus-square' => 'Plus Square' ),
			array( 'fa fa-stethoscope' => 'Stethoscope' ),
			array( 'fa fa-user-md' => 'user-md' ),
			array( 'fa fa-wheelchair' => 'Wheelchair' ),
		),
		'Text Editor Icons' => array(
			array( 'fa fa-align-center' => 'align-center' ),
			array( 'fa fa-align-justify' => 'align-justify' ),
			array( 'fa fa-align-left' => 'align-left' ),
			array( 'fa fa-align-right' => 'align-right' ),
			array( 'fa fa-bold' => 'bold' ),
			array( 'fa fa-chain-broken' => 'Chain Broken' ),
			array( 'fa fa-clipboard' => 'Clipboard' ),
			array( 'fa fa-columns' => 'Columns' ),
			array( 'fa fa-eraser' => 'eraser' ),
			array( 'fa fa-file' => 'File' ),
			array( 'fa fa-file-o' => 'File Outlined' ),
			array( 'fa fa-file-text' => 'File Text' ),
			array( 'fa fa-file-text-o' => 'File Text Outlined' ),
			array( 'fa fa-files-o' => 'Files Outlined' ),
			array( 'fa fa-floppy-o' => 'Floppy Outlined' ),
			array( 'fa fa-font' => 'font' ),
			array( 'fa fa-header' => 'header' ),
			array( 'fa fa-indent' => 'Indent' ),
			array( 'fa fa-italic' => 'italic' ),
			array( 'fa fa-link' => 'Link' ),
			array( 'fa fa-list' => 'list' ),
			array( 'fa fa-list-alt' => 'list-alt' ),
			array( 'fa fa-list-ol' => 'list-ol' ),
			array( 'fa fa-list-ul' => 'list-ul' ),
			array( 'fa fa-outdent' => 'Outdent' ),
			array( 'fa fa-paperclip' => 'Paperclip' ),
			array( 'fa fa-paragraph' => 'paragraph' ),
			array( 'fa fa-repeat' => 'Repeat' ),
			array( 'fa fa-scissors' => 'Scissors' ),
			array( 'fa fa-strikethrough' => 'Strikethrough' ),
			array( 'fa fa-subscript' => 'subscript' ),
			array( 'fa fa-superscript' => 'superscript' ),
			array( 'fa fa-table' => 'table' ),
			array( 'fa fa-text-height' => 'text-height' ),
			array( 'fa fa-text-width' => 'text-width' ),
			array( 'fa fa-th' => 'th' ),
			array( 'fa fa-th-large' => 'th-large' ),
			array( 'fa fa-th-list' => 'th-list' ),
			array( 'fa fa-underline' => 'Underline' ),
			array( 'fa fa-undo' => 'Undo' ),
		),
		'Spinner Icons' => array(
			array( 'fa fa-circle-o-notch' => 'Circle Outlined Notched' ),
			array( 'fa fa-cog' => 'cog' ),
			array( 'fa fa-refresh' => 'refresh' ),
			array( 'fa fa-spinner' => 'Spinner' ),
		),
		'File Type Icons' => array(
			array( 'fa fa-file' => 'File' ),
			array( 'fa fa-file-archive-o' => 'Archive File Outlined' ),
			array( 'fa fa-file-audio-o' => 'Audio File Outlined' ),
			array( 'fa fa-file-code-o' => 'Code File Outlined' ),
			array( 'fa fa-file-excel-o' => 'Excel File Outlined' ),
			array( 'fa fa-file-image-o' => 'Image File Outlined' ),
			array( 'fa fa-file-o' => 'File Outlined' ),
			array( 'fa fa-file-pdf-o' => 'PDF File Outlined' ),
			array( 'fa fa-file-powerpoint-o' => 'Powerpoint File Outlined' ),
			array( 'fa fa-file-text' => 'File Text' ),
			array( 'fa fa-file-text-o' => 'File Text Outlined' ),
			array( 'fa fa-file-video-o' => 'Video File Outlined' ),
			array( 'fa fa-file-word-o' => 'Word File Outlined' ),
		),
		'Directional Icons' => array(
			array( 'fa fa-angle-double-down' => 'Angle Double Down' ),
			array( 'fa fa-angle-double-left' => 'Angle Double Left' ),
			array( 'fa fa-angle-double-right' => 'Angle Double Right' ),
			array( 'fa fa-angle-double-up' => 'Angle Double Up' ),
			array( 'fa fa-angle-down' => 'angle-down' ),
			array( 'fa fa-angle-left' => 'angle-left' ),
			array( 'fa fa-angle-right' => 'angle-right' ),
			array( 'fa fa-angle-up' => 'angle-up' ),
			array( 'fa fa-arrow-circle-down' => 'Arrow Circle Down' ),
			array( 'fa fa-arrow-circle-left' => 'Arrow Circle Left' ),
			array( 'fa fa-arrow-circle-o-down' => 'Arrow Circle Outlined Down' ),
			array( 'fa fa-arrow-circle-o-left' => 'Arrow Circle Outlined Left' ),
			array( 'fa fa-arrow-circle-o-right' => 'Arrow Circle Outlined Right' ),
			array( 'fa fa-arrow-circle-o-up' => 'Arrow Circle Outlined Up' ),
			array( 'fa fa-arrow-circle-right' => 'Arrow Circle Right' ),
			array( 'fa fa-arrow-circle-up' => 'Arrow Circle Up' ),
			array( 'fa fa-arrow-down' => 'arrow-down' ),
			array( 'fa fa-arrow-left' => 'arrow-left' ),
			array( 'fa fa-arrow-right' => 'arrow-right' ),
			array( 'fa fa-arrow-up' => 'arrow-up' ),
			array( 'fa fa-arrows' => 'Arrows' ),
			array( 'fa fa-arrows-alt' => 'Arrows Alt' ),
			array( 'fa fa-arrows-h' => 'Arrows Horizontal' ),
			array( 'fa fa-arrows-v' => 'Arrows Vertical' ),
			array( 'fa fa-caret-down' => 'Caret Down' ),
			array( 'fa fa-caret-left' => 'Caret Left' ),
			array( 'fa fa-caret-right' => 'Caret Right' ),
			array( 'fa fa-caret-square-o-down' => 'Caret Square Outlined Down' ),
			array( 'fa fa-caret-square-o-left' => 'Caret Square Outlined Left' ),
			array( 'fa fa-caret-square-o-right' => 'Caret Square Outlined Right' ),
			array( 'fa fa-caret-square-o-up' => 'Caret Square Outlined Up' ),
			array( 'fa fa-caret-up' => 'Caret Up' ),
			array( 'fa fa-chevron-circle-down' => 'Chevron Circle Down' ),
			array( 'fa fa-chevron-circle-left' => 'Chevron Circle Left' ),
			array( 'fa fa-chevron-circle-right' => 'Chevron Circle Right' ),
			array( 'fa fa-chevron-circle-up' => 'Chevron Circle Up' ),
			array( 'fa fa-chevron-down' => 'chevron-down' ),
			array( 'fa fa-chevron-left' => 'chevron-left' ),
			array( 'fa fa-chevron-right' => 'chevron-right' ),
			array( 'fa fa-chevron-up' => 'chevron-up' ),
			array( 'fa fa-exchange' => 'Exchange' ),
			array( 'fa fa-hand-o-down' => 'Hand Outlined Down' ),
			array( 'fa fa-hand-o-left' => 'Hand Outlined Left' ),
			array( 'fa fa-hand-o-right' => 'Hand Outlined Right' ),
			array( 'fa fa-hand-o-up' => 'Hand Outlined Up' ),
			array( 'fa fa-long-arrow-down' => 'Long Arrow Down' ),
			array( 'fa fa-long-arrow-left' => 'Long Arrow Left' ),
			array( 'fa fa-long-arrow-right' => 'Long Arrow Right' ),
			array( 'fa fa-long-arrow-up' => 'Long Arrow Up' ),
		),
		'Video Player Icons' => array(
			array( 'fa fa-arrows-alt' => 'Arrows Alt' ),
			array( 'fa fa-backward' => 'backward' ),
			array( 'fa fa-compress' => 'Compress' ),
			array( 'fa fa-eject' => 'eject' ),
			array( 'fa fa-expand' => 'Expand' ),
			array( 'fa fa-fast-backward' => 'fast-backward' ),
			array( 'fa fa-fast-forward' => 'fast-forward' ),
			array( 'fa fa-forward' => 'forward' ),
			array( 'fa fa-pause' => 'pause' ),
			array( 'fa fa-pause-circle' => 'Pause Circle' ),
			array( 'fa fa-pause-circle-o' => 'Pause Circle Outlined' ),
			array( 'fa fa-play' => 'play' ),
			array( 'fa fa-play-circle' => 'Play Circle' ),
			array( 'fa fa-play-circle-o' => 'Play Circle Outlined' ),
			array( 'fa fa-random' => 'random' ),
			array( 'fa fa-step-backward' => 'step-backward' ),
			array( 'fa fa-step-forward' => 'step-forward' ),
			array( 'fa fa-stop' => 'stop' ),
			array( 'fa fa-stop-circle' => 'Stop Circle' ),
			array( 'fa fa-stop-circle-o' => 'Stop Circle Outlined' ),
			array( 'fa fa-youtube-play' => 'YouTube Play' ),
		),
		'Form Control Icons' => array(
			array( 'fa fa-check-square' => 'Check Square' ),
			array( 'fa fa-check-square-o' => 'Check Square Outlined' ),
			array( 'fa fa-circle' => 'Circle' ),
			array( 'fa fa-circle-o' => 'Circle Outlined' ),
			array( 'fa fa-dot-circle-o' => 'Dot Circle Outlined' ),
			array( 'fa fa-minus-square' => 'Minus Square' ),
			array( 'fa fa-minus-square-o' => 'Minus Square Outlined' ),
			array( 'fa fa-plus-square' => 'Plus Square' ),
			array( 'fa fa-plus-square-o' => 'Plus Square Outlined' ),
			array( 'fa fa-square' => 'Square' ),
			array( 'fa fa-square-o' => 'Square Outlined' ),
		),
		'Transportation Icons' => array(
			array( 'fa fa-ambulance' => 'ambulance' ),
			array( 'fa fa-bicycle' => 'Bicycle' ),
			array( 'fa fa-bus' => 'Bus' ),
			array( 'fa fa-car' => 'Car' ),
			array( 'fa fa-fighter-jet' => 'fighter-jet' ),
			array( 'fa fa-motorcycle' => 'Motorcycle' ),
			array( 'fa fa-plane' => 'plane' ),
			array( 'fa fa-rocket' => 'rocket' ),
			array( 'fa fa-ship' => 'Ship' ),
			array( 'fa fa-space-shuttle' => 'Space Shuttle' ),
			array( 'fa fa-subway' => 'Subway' ),
			array( 'fa fa-taxi' => 'Taxi' ),
			array( 'fa fa-train' => 'Train' ),
			array( 'fa fa-truck' => 'truck' ),
			array( 'fa fa-wheelchair' => 'Wheelchair' ),
		),
		'Chart Icons' => array(
			array( 'fa fa-area-chart' => 'Area Chart' ),
			array( 'fa fa-bar-chart' => 'Bar Chart' ),
			array( 'fa fa-line-chart' => 'Line Chart' ),
			array( 'fa fa-pie-chart' => 'Pie Chart' ),
		),
		'Brand Icons' => array(
			array( 'fa fa-500px' => '500px' ),
			array( 'fa fa-adn' => 'App.net' ),
			array( 'fa fa-amazon' => 'Amazon' ),
			array( 'fa fa-android' => 'Android' ),
			array( 'fa fa-angellist' => 'AngelList' ),
			array( 'fa fa-apple' => 'Apple' ),
			array( 'fa fa-behance' => 'Behance' ),
			array( 'fa fa-behance-square' => 'Behance Square' ),
			array( 'fa fa-bitbucket' => 'Bitbucket' ),
			array( 'fa fa-bitbucket-square' => 'Bitbucket Square' ),
			array( 'fa fa-black-tie' => 'Font Awesome Black Tie' ),
			array( 'fa fa-bluetooth' => 'Bluetooth' ),
			array( 'fa fa-bluetooth-b' => 'Bluetooth' ),
			array( 'fa fa-btc' => 'Bitcoin (BTC)' ),
			array( 'fa fa-buysellads' => 'BuySellAds' ),
			array( 'fa fa-cc-amex' => 'American Express Credit Card' ),
			array( 'fa fa-cc-diners-club' => 'Diner\'s Club Credit Card' ),
			array( 'fa fa-cc-discover' => 'Discover Credit Card' ),
			array( 'fa fa-cc-jcb' => 'JCB Credit Card' ),
			array( 'fa fa-cc-mastercard' => 'MasterCard Credit Card' ),
			array( 'fa fa-cc-paypal' => 'Paypal Credit Card' ),
			array( 'fa fa-cc-stripe' => 'Stripe Credit Card' ),
			array( 'fa fa-cc-visa' => 'Visa Credit Card' ),
			array( 'fa fa-chrome' => 'Chrome' ),
			array( 'fa fa-codepen' => 'Codepen' ),
			array( 'fa fa-codiepie' => 'Codie Pie' ),
			array( 'fa fa-connectdevelop' => 'Connect Develop' ),
			array( 'fa fa-contao' => 'Contao' ),
			array( 'fa fa-css3' => 'CSS 3 Logo' ),
			array( 'fa fa-dashcube' => 'DashCube' ),
			array( 'fa fa-delicious' => 'Delicious Logo' ),
			array( 'fa fa-deviantart' => 'deviantART' ),
			array( 'fa fa-digg' => 'Digg Logo' ),
			array( 'fa fa-dribbble' => 'Dribbble' ),
			array( 'fa fa-dropbox' => 'Dropbox' ),
			array( 'fa fa-drupal' => 'Drupal Logo' ),
			array( 'fa fa-edge' => 'Edge Browser' ),
			array( 'fa fa-empire' => 'Galactic Empire' ),
			array( 'fa fa-expeditedssl' => 'ExpeditedSSL' ),
			array( 'fa fa-facebook' => 'Facebook' ),
			array( 'fa fa-facebook-official' => 'Facebook Official' ),
			array( 'fa fa-facebook-square' => 'Facebook Square' ),
			array( 'fa fa-firefox' => 'Firefox' ),
			array( 'fa fa-flickr' => 'Flickr' ),
			array( 'fa fa-fonticons' => 'Fonticons' ),
			array( 'fa fa-fort-awesome' => 'Fort Awesome' ),
			array( 'fa fa-forumbee' => 'Forumbee' ),
			array( 'fa fa-foursquare' => 'Foursquare' ),
			array( 'fa fa-get-pocket' => 'Get Pocket' ),
			array( 'fa fa-gg' => 'GG Currency' ),
			array( 'fa fa-gg-circle' => 'GG Currency Circle' ),
			array( 'fa fa-git' => 'Git' ),
			array( 'fa fa-git-square' => 'Git Square' ),
			array( 'fa fa-github' => 'GitHub' ),
			array( 'fa fa-github-alt' => 'GitHub Alt' ),
			array( 'fa fa-github-square' => 'GitHub Square' ),
			array( 'fa fa-google' => 'Google Logo' ),
			array( 'fa fa-google-plus' => 'Google Plus' ),
			array( 'fa fa-google-plus-square' => 'Google Plus Square' ),
			array( 'fa fa-google-wallet' => 'Google Wallet' ),
			array( 'fa fa-gratipay' => 'Gratipay (Gittip)' ),
			array( 'fa fa-hacker-news' => 'Hacker News' ),
			array( 'fa fa-houzz' => 'Houzz' ),
			array( 'fa fa-html5' => 'HTML 5 Logo' ),
			array( 'fa fa-instagram' => 'Instagram' ),
			array( 'fa fa-internet-explorer' => 'Internet-explorer' ),
			array( 'fa fa-ioxhost' => 'ioxhost' ),
			array( 'fa fa-joomla' => 'Joomla Logo' ),
			array( 'fa fa-jsfiddle' => 'jsFiddle' ),
			array( 'fa fa-lastfm' => 'last.fm' ),
			array( 'fa fa-lastfm-square' => 'last.fm Square' ),
			array( 'fa fa-leanpub' => 'Leanpub' ),
			array( 'fa fa-linkedin' => 'LinkedIn' ),
			array( 'fa fa-linkedin-square' => 'LinkedIn Square' ),
			array( 'fa fa-linux' => 'Linux' ),
			array( 'fa fa-maxcdn' => 'MaxCDN' ),
			array( 'fa fa-meanpath' => 'meanpath' ),
			array( 'fa fa-medium' => 'Medium' ),
			array( 'fa fa-mixcloud' => 'Mixcloud' ),
			array( 'fa fa-modx' => 'MODX' ),
			array( 'fa fa-odnoklassniki' => 'Odnoklassniki' ),
			array( 'fa fa-odnoklassniki-square' => 'Odnoklassniki Square' ),
			array( 'fa fa-opencart' => 'OpenCart' ),
			array( 'fa fa-openid' => 'OpenID' ),
			array( 'fa fa-opera' => 'Opera' ),
			array( 'fa fa-optin-monster' => 'Optin Monster' ),
			array( 'fa fa-pagelines' => 'Pagelines' ),
			array( 'fa fa-paypal' => 'Paypal' ),
			array( 'fa fa-pied-piper' => 'Pied Piper Logo' ),
			array( 'fa fa-pied-piper-alt' => 'Pied Piper Alternate Logo' ),
			array( 'fa fa-pinterest' => 'Pinterest' ),
			array( 'fa fa-pinterest-p' => 'Pinterest P' ),
			array( 'fa fa-pinterest-square' => 'Pinterest Square' ),
			array( 'fa fa-product-hunt' => 'Product Hunt' ),
			array( 'fa fa-qq' => 'QQ' ),
			array( 'fa fa-rebel' => 'Rebel Alliance' ),
			array( 'fa fa-reddit' => 'reddit Logo' ),
			array( 'fa fa-reddit-alien' => 'reddit Alien' ),
			array( 'fa fa-reddit-square' => 'reddit Square' ),
			array( 'fa fa-renren' => 'Renren' ),
			array( 'fa fa-safari' => 'Safari' ),
			array( 'fa fa-scribd' => 'Scribd' ),
			array( 'fa fa-sellsy' => 'Sellsy' ),
			array( 'fa fa-share-alt' => 'Share Alt' ),
			array( 'fa fa-share-alt-square' => 'Share Alt Square' ),
			array( 'fa fa-shirtsinbulk' => 'Shirts in Bulk' ),
			array( 'fa fa-simplybuilt' => 'SimplyBuilt' ),
			array( 'fa fa-skyatlas' => 'skyatlas' ),
			array( 'fa fa-skype' => 'Skype' ),
			array( 'fa fa-slack' => 'Slack Logo' ),
			array( 'fa fa-slideshare' => 'Slideshare' ),
			array( 'fa fa-soundcloud' => 'SoundCloud' ),
			array( 'fa fa-spotify' => 'Spotify' ),
			array( 'fa fa-stack-exchange' => 'Stack Exchange' ),
			array( 'fa fa-stack-overflow' => 'Stack Overflow' ),
			array( 'fa fa-steam' => 'Steam' ),
			array( 'fa fa-steam-square' => 'Steam Square' ),
			array( 'fa fa-stumbleupon' => 'StumbleUpon Logo' ),
			array( 'fa fa-stumbleupon-circle' => 'StumbleUpon Circle' ),
			array( 'fa fa-tencent-weibo' => 'Tencent Weibo' ),
			array( 'fa fa-trello' => 'Trello' ),
			array( 'fa fa-tripadvisor' => 'TripAdvisor' ),
			array( 'fa fa-tumblr' => 'Tumblr' ),
			array( 'fa fa-tumblr-square' => 'Tumblr Square' ),
			array( 'fa fa-twitch' => 'Twitch' ),
			array( 'fa fa-twitter' => 'Twitter' ),
			array( 'fa fa-twitter-square' => 'Twitter Square' ),
			array( 'fa fa-usb' => 'USB' ),
			array( 'fa fa-viacoin' => 'Viacoin' ),
			array( 'fa fa-vimeo' => 'Vimeo' ),
			array( 'fa fa-vimeo-square' => 'Vimeo Square' ),
			array( 'fa fa-vine' => 'Vine' ),
			array( 'fa fa-vk' => 'VK' ),
			array( 'fa fa-weibo' => 'Weibo' ),
			array( 'fa fa-weixin' => 'Weixin (WeChat)' ),
			array( 'fa fa-whatsapp' => 'What\'s App' ),
			array( 'fa fa-wikipedia-w' => 'Wikipedia W' ),
			array( 'fa fa-windows' => 'Windows' ),
			array( 'fa fa-wordpress' => 'WordPress Logo' ),
			array( 'fa fa-xing' => 'Xing' ),
			array( 'fa fa-xing-square' => 'Xing Square' ),
			array( 'fa fa-y-combinator' => 'Y Combinator' ),
			array( 'fa fa-yahoo' => 'Yahoo Logo' ),
			array( 'fa fa-yelp' => 'Yelp' ),
			array( 'fa fa-youtube' => 'YouTube' ),
			array( 'fa fa-youtube-play' => 'YouTube Play' ),
			array( 'fa fa-youtube-square' => 'YouTube Square' ),
		),
		'Hand Icons' => array(
			array( 'fa fa-hand-lizard-o' => 'Lizard (Hand)' ),
			array( 'fa fa-hand-o-down' => 'Hand Outlined Down' ),
			array( 'fa fa-hand-o-left' => 'Hand Outlined Left' ),
			array( 'fa fa-hand-o-right' => 'Hand Outlined Right' ),
			array( 'fa fa-hand-o-up' => 'Hand Outlined Up' ),
			array( 'fa fa-hand-paper-o' => 'Paper (Hand)' ),
			array( 'fa fa-hand-peace-o' => 'Hand Peace' ),
			array( 'fa fa-hand-pointer-o' => 'Hand Pointer' ),
			array( 'fa fa-hand-rock-o' => 'Rock (Hand)' ),
			array( 'fa fa-hand-scissors-o' => 'Scissors (Hand)' ),
			array( 'fa fa-hand-spock-o' => 'Spock (Hand)' ),
			array( 'fa fa-thumbs-down' => 'thumbs-down' ),
			array( 'fa fa-thumbs-o-down' => 'Thumbs Down Outlined' ),
			array( 'fa fa-thumbs-o-up' => 'Thumbs Up Outlined' ),
			array( 'fa fa-thumbs-up' => 'thumbs-up' ),
		),
		'Payment Icons' => array(
			array( 'fa fa-cc-amex' => 'American Express Credit Card' ),
			array( 'fa fa-cc-diners-club' => 'Diner\'s Club Credit Card' ),
			array( 'fa fa-cc-discover' => 'Discover Credit Card' ),
			array( 'fa fa-cc-jcb' => 'JCB Credit Card' ),
			array( 'fa fa-cc-mastercard' => 'MasterCard Credit Card' ),
			array( 'fa fa-cc-paypal' => 'Paypal Credit Card' ),
			array( 'fa fa-cc-stripe' => 'Stripe Credit Card' ),
			array( 'fa fa-cc-visa' => 'Visa Credit Card' ),
			array( 'fa fa-credit-card' => 'credit-card' ),
			array( 'fa fa-credit-card-alt' => 'Credit Card' ),
			array( 'fa fa-google-wallet' => 'Google Wallet' ),
			array( 'fa fa-paypal' => 'Paypal' ),
		),
		'Currency Icons' => array(
			array( 'fa fa-btc' => 'Bitcoin (BTC)' ),
			array( 'fa fa-eur' => 'Euro (EUR)' ),
			array( 'fa fa-gbp' => 'GBP' ),
			array( 'fa fa-gg' => 'GG Currency' ),
			array( 'fa fa-gg-circle' => 'GG Currency Circle' ),
			array( 'fa fa-ils' => 'Shekel (ILS)' ),
			array( 'fa fa-inr' => 'Indian Rupee (INR)' ),
			array( 'fa fa-jpy' => 'Japanese Yen (JPY)' ),
			array( 'fa fa-krw' => 'Korean Won (KRW)' ),
			array( 'fa fa-money' => 'Money' ),
			array( 'fa fa-rub' => 'Russian Ruble (RUB)' ),
			array( 'fa fa-try' => 'Turkish Lira (TRY)' ),
			array( 'fa fa-usd' => 'US Dollar' ),
		),
		'graph' => array(
			array( 'fa fa-area-chart' => 'Area Chart' ),
			array( 'fa fa-line-chart' => 'Line Chart' ),
			array( 'fa fa-pie-chart' => 'Pie Chart' ),
		),
		'analytics' => array(
			array( 'fa fa-area-chart' => 'Area Chart' ),
			array( 'fa fa-line-chart' => 'Line Chart' ),
			array( 'fa fa-pie-chart' => 'Pie Chart' ),
		),
		'Gender Icons' => array(
			array( 'fa fa-genderless' => 'Genderless' ),
			array( 'fa fa-mars' => 'Mars' ),
			array( 'fa fa-mars-double' => 'Mars Double' ),
			array( 'fa fa-mars-stroke' => 'Mars Stroke' ),
			array( 'fa fa-mars-stroke-h' => 'Mars Stroke Horizontal' ),
			array( 'fa fa-mars-stroke-v' => 'Mars Stroke Vertical' ),
			array( 'fa fa-mercury' => 'Mercury' ),
			array( 'fa fa-neuter' => 'Neuter' ),
			array( 'fa fa-transgender' => 'Transgender' ),
			array( 'fa fa-transgender-alt' => 'Transgender Alt' ),
			array( 'fa fa-venus' => 'Venus' ),
			array( 'fa fa-venus-double' => 'Venus Double' ),
			array( 'fa fa-venus-mars' => 'Venus Mars' ),
		),

	);

	return array_merge( $icons, $fontawesome_icons );
}
*/